Bug 31734 - ucs-test return codes
ucs-test return codes
Status: CLOSED FIXED
Product: UCS Test
Classification: Unclassified
Component: Framework
unspecified
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Stefan Gohmann
Lukas Walter
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 13:30 CEST by Stefan Gohmann
Modified: 2013-11-19 06:41 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2013-06-13 13:30:42 CEST
We should change the different ucs-test codes to a simpler version. At least "Fixed expected" should become "Test passed".

I suggest to have only these three basics:
 - Test passed
 - Test failed
 - Test skipped

It would be nice to see the reason for the skipping, for example:
 - Test skipped (wrong version)
 - Test skipped (version too old)
 - Test skipped (version too new)
 - Test skipped (role mismatch)
 - Test skipped (system not joined)
 - Test skipped (system is joined)
 - Test skipped (missing software)
 - Test skipped (conflicting software)
 - Test skipped (too dangerous)
Comment 1 Stefan Gohmann univentionstaff 2013-06-14 07:47:51 CEST
It has been modified like suggested.
Comment 2 Lukas Walter univentionstaff 2013-08-20 12:39:43 CEST
Return codes have been simplified such that there are only three categories of codes left:

FAILED (red)
PASSED (green)
SKIPPED (blue)


code: ok
functionality: ok
changelog: ok
Comment 3 Stefan Gohmann univentionstaff 2013-11-19 06:41:48 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".